
<!DOCTYPE html>
<html lang="en">

<head>

  <title>Road Status</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css">
  <link rel="preconnect" href="https://fonts.googleapis.com">
  <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
  <link href="https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,800;0,900;1,900&display=swap" rel="stylesheet">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.4/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.5.0/Chart.min.js"></script>

  <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
  <script src="https://cdn.jsdelivr.net/npm/axios/dist/axios.min.js"></script>
  
<style>
  /* sidebar.css */

body {
  font-family: 'Poppins', sans-serif;
}

.topic{     
  color:black;
  font-family: Marko One;
  font-style: normal;
  font-weight: 400;
  line-height: normal;

}

/* Set height of the grid so .sidenav can be 100% (adjust as needed) */
.row.content {
  min-height: 100vh;
}

.nav.nav-pills.nav-stacked {
  display: flex;
  flex-direction: column;
  align-items: center; /* Center horizontally */
  justify-content: center; /* Center vertically */
}
.nav-pills.nav-stacked .link a {
        color: black;
        text-decoration: none;
        background-color: white;
        display: block;
        padding: 10px;
        transition: background-color 0.3s, color 0.3s;
    }

    .nav-pills.nav-stacked .link a:hover {
        background-color:#E48310;
        color: white;
    }

    .hr {
        padding-bottom: 10px;
    }

.hr {
  width: 325px; /* Set a default width for the <li> */

}




 .link  {
  width: 325px; /* Set a default width for the <li> */
  border-radius: 5px;
  border: 1px solid rgba(125, 125, 125, 0.51);
  background: transparent;
  text-align: left;
  padding-left: 40px;
  color: black; /* Set the initial text color */
  transition: background-color 0.3s, color 0.3s; 
  
}
.link:hover {
  width: 325px; /* Set a default width for the <li> */
  border-radius: 5px;
  background: #E48310;
  color: white; 
  
} */

.clink{
  width: auto; /* Set a default width for the <li> */
  border-radius: 5px;
  border: 1px solid rgba(125, 125, 125, 0.51);

 

}
@media (max-width: 1340px) {
  .link {
      width: 250px; /* Adjust the width for smaller screens */
      padding-left: 20px;
      color: black; /* Set the initial text color */
  transition: background-color 0.3s, color 0.3s; 
  
  }

  .link :hover {
      width: 250px; /* Set a default width for the <li> */
      border-radius: 5px;
      background:#E48310;
      color: white;
  }
  .hr {
      width: 250px;
  }
}

/* Media query for screens with a maximum width of 768px */
@media (max-width: 1220px) {
  .link {
      width: 170px; /* Adjust the width for smaller screens */
      color: black; /* Set the initial text color */
  transition: background-color 0.3s, color 0.3s; 
      
  }

  .link :hover {
      width: 170px; /* Set a default width for the <li> */
      border-radius: 5px;
      background:#E48310;
      color: white;
      
  }
  .hr {
      width: 170px;
  }
}




/* Set gray background color and 100% height */
.sidenav {
  background-color:white;
  min-height: 100vh;
  position: sticky;
  top: 0; /* Adjust this value based on your layout */
  box-shadow: rgba(0, 0, 0, 0.19) 0px 10px 20px, rgba(0, 0, 0, 0.23) 0px 6px 6px;
}
.sticky-sidebar {
  position: -webkit-sticky;
  position: sticky;
  top: 0;
}

.collapNav li.active a {
  border-radius: 5px;
  background: transparent;
}


@media (max-width: 780px) {
  .overflowx{
    overflow-x: auto;
  }
}

.topbar{
  border-radius: 10px; margin:10px;
  box-shadow: rgba(50, 50, 93, 0.25) 0px 2px 5px -1px, rgba(0, 0, 0, 0.3) 0px 1px 3px -1px;
  background: rgba(217, 217, 217, 0.00);
  display: flex; /* Use flexbox for layout */
  justify-content: space-between; /* Distribute content to both ends */
  align-items: center; /* Vertically center content */
  padding: 10px; /* Add some padding for spacing */
  margin: 15px;

      
}

.threebox {
  border-radius: 10px;
  border: 0.5px solid rgba(26, 26, 26, 0.37);
  background: rgba(217, 217, 217, 0.00);
  padding: 10px;
  box-shadow: 6px 6px 12px rgba(0, 0, 0, 0.1);  /* Horizontal offset, Vertical offset, Blur radius, Shadow color */
}

.input-group-append {
  cursor: pointer;
}

.overflowx {
  position: relative; 
  padding-bottom: 40px; 
}


</style>

<style>
  .form {
  display: flex;
  flex-direction: column;
  gap: 10px;
  max-width: 500px;
  box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
  padding: 20px;
  border-radius: 20px;
  position: relative;
}

.title {
  font-size: 28px;
  color: royalblue;
  font-weight: 600;
  letter-spacing: -1px;
  position: relative;
  display: flex;
  align-items: center;
  padding-left: 30px;
}

.title::before,.title::after {
  position: absolute;
  content: "";
  height: 16px;
  width: 16px;
  border-radius: 50%;
  left: 0px;
  background-color: royalblue;
}

.title::before {
  width: 18px;
  height: 18px;
  background-color: royalblue;
}

.title::after {
  width: 18px;
  height: 18px;
  animation: pulse 1s linear infinite;
}

.message, .signin {
  color: rgba(88, 87, 87, 0.822);
  font-size: 14px;
}

.signin {
  text-align: center;
}

.signin a {
  color: royalblue;
}

.signin a:hover {
  text-decoration: underline royalblue;
}

.flex {
  display: flex;
  width: 100%;
  gap: 6px;
}

.form label {
  position: relative;
}

.form label .input {
  width: 100%;
  padding: 10px 10px 20px 10px;
  outline: 0;
  border: 1px solid rgba(105, 105, 105, 0.397);
  border-radius: 10px;
}
.form label .input1 {
  width: 100%;
  padding: 10px 10px 20px 10px;
  outline: 0;
  border: 1px solid rgba(105, 105, 105, 0.397);
  border-radius: 10px;
}

.form label .input + span {
  position: absolute;
  left: 10px;
  bottom:15px;
  color: grey;
  font-size: 0.9em;
  cursor: text;
  transition: 0.3s ease;
}
.form label .input1 + span {
  position: absolute;
  left: 10px;
  bottom:120px;
  color: grey;
  font-size: 0.9em;
  cursor: text;
  transition: 0.3s ease;
}

.form label .input:placeholder-shown + span {
  bottom: 15px;
  font-size: 0.9em;
}
.form label .input1:placeholder-shown + span {
  bottom: 15px;
  font-size: 0.9em;
}

.form label .input:focus + span,.form label .input:valid + span {
  top: -0px;
  font-size: 0.7em;
  font-weight: 600;
}
.form label .input1:focus + span,.form label .input:valid + span {
  top: -0px;
  font-size: 0.7em;
  font-weight: 600;
}

.form label .input:valid + span {
  color: green;
}
.form label .input1:valid + span {
  color: green;
}

.submit {
  border: none;
  outline: none;
  background-color:#E48310;
  padding: 10px;
  border-radius: 10px;
  color: #fff;
  font-size: 16px;
  transform: .3s ease;
}

.submit:hover {
  background-color:white;
  color: #E48310;
  border: 1px solid #E48310;
}


@keyframes pulse {
  from {
    transform: scale(0.9);
    opacity: 1;
  }

  to {
    transform: scale(1.8);
    opacity: 0;
  }
}
.input1 {
    color: black;
  width: 110%; /* Take full width of the label */
  border: 1px solid #ccc;
  border-radius: 4px;
  font-size: 14px;
}
.flex {
  display: flex;
  justify-content: space-between; /* Space evenly between the two dropdowns */
  align-items: center; /* Center vertically within the container */
  flex-wrap: wrap; /* Wrap to the next line if the container becomes too narrow */
}

label {
  flex: 0 0 48%; /* Adjust the width as needed, considering margins */
  margin-bottom: 10px; /* Add some spacing between dropdowns */
}
.container {
    display: flex;
    justify-content: center; /* Center horizontally */
    align-items: center; /* Center vertically */
    min-height:70vh; /* Ensure full viewport height */
    
}
</style>
 

</head>

<body>
  <div class="container-fluid">
    <div class="row content">
      <nav class="navbar navbar-inverse visible-xs" style="background-color:#E48310">
        <div class="container-fluid">
            <div class="navbar-header"  >
                <button type="button" class="navbar-toggle" style="background-color: transparent; border: 1px solid white;" data-toggle="collapse" data-target="#myNavbar">
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
          
            </div>
            <div class="collapse navbar-collapse collapNav" id="myNavbar">
                <ul class="nav navbar-nav">
                <li class="clink" id="product-link " style="margin: 5px;">
                        <a  href="/homepage">
                           <i class="material-icons"  style="vertical-align: middle;">dashboard</i> Dashboard
                        </a>
                    </li>
    
                    <!-- <li class="clink" id="product-link" style="margin: 5px; ">
                        <a href="/UserPost">
                        <i class="material-icons"  style="vertical-align: middle;">assignment</i> User Post
                        </a>
                    </li> -->
                    <li class="clink" id="customers-link" style="margin: 5px;">
                        <a  href="/viewPost">
                          <i class="material-icons"  style="vertical-align: middle;">people_alt</i> View Post
                        </a>
                    </li>
                    <li class="clink" id="feedback-link" style="margin: 5px;">
                        <a  href="/viewfeedback">
                          <i class="material-icons"  style="vertical-align: middle;">question_answer</i> View Feedback
                        </a>
                    </li>
    
                    
                 
                    <hr style="width:auto; margin: 15px 5px;"> 
                    <li class="clink" id="product-link" style="margin: 5px; ">
                        <a href="#">
                          <i class="material-icons"  style="vertical-align: middle;"
                          >logout</i></i>Logout
                        </a>
                    </li>
                </ul>
            </div>
        </div>
    </nav>
    
    
    <div class="col-sm-3 hidden-xs text-center sidenav">
    
        <img src="./images/12-removebg-preview.png" alt="Image Alt Text" style="max-width: 160px; max-height:160px; margin-right: 20px;margin-left: 20px; margin-top:30px">
    
        
            <h3 class="topic">Welcome Back</h3>
    
            <hr class="hr">
                <ul class="nav nav-pills nav-stacked">
    
                    <li class="link" id="product-link" style="margin-top: 15px; ">
                        <a  href="/homepage" style="text-decoration: none;">
                          <i class="material-icons"  style="vertical-align: middle;">dashboard</i>Dashboard
                        </a>
                    </li>
    
                    <!-- <li class="link" id="product-link" style="margin-top: 15px; ">
                        <a href="/UserPost">
                          <i class="material-icons"  style="vertical-align: middle;">assignment</i> User Post
                        </a>
                    </li> -->
                 
                    <li class="link" id="customers-link" style="margin-top: 15px;">
                        <a href="/viewPost">
                          <i class="material-icons"  style="vertical-align: middle;">people_alt</i> View Post
                        </a>
                    </li>
                    <li class="link" id="feedback-link" style="margin-top: 15px;">
                        <a  href="/viewfeedback">
                          <i class="material-icons"  style="vertical-align: middle;">question_answer</i> View Feedback
                        </a>
                    </li>
    
                    
    
              
    
                    <br>
                    <hr style="padding-bottom: 10px;" class="hr"> 
                    <li class="link" id="customers-link" style="margin-top: 15px;">
                        <a id="logout-link" href="#">
                          <i class="material-icons" style="vertical-align: middle;" >logout</i> Logout
                        </a>
                    </li>
                 
    
            </ul>
    
        <br>
    
    </div>
    
   
      
      <div class="col-sm-9">
        
          <div  class="topbar">
              <h4>Edit Post</h4>
          </div>

          <div class="container">
          <form class="form" id="edit-form" method="PUT" enctype="multipart/form-data">
          
            <label>
              <span>Date</span>
      
              <input  placeholder="" type="date" id="date" class="input"  name="date" style="color: rgba(88, 87, 87, 0.822);">
           
            </label>

            <div class="flex">
              <label>
                <span>Name</span>
                  <input placeholder="" id="name" type="text" class="input"  name="name" >
                
              </label>
      
              <label>
                <span>Current location</span>
                  <input type="text" placeholder="" id="currentlocation" class="input" name="currentlocation">
                  
              </label>
             </div> 

              <div class="flex">
                <label for="source">
                  <select id="source" name="source"   class="input1">
                    <option value="" disabled selected>Source</option>
                    <option value="Bumthang">Bumthang</option>
                    <option value="Chhukha">Chhukha</option>
                    <option value="Dagana">Dagana</option>
                    <option value="Gasa">Gasa</option>
                    <option value="Haa">Haa</option>
                    <option value="Lhuentse">Lhuentse</option>
                    <option value="Monggar">Monggar</option>
                    <option value="Paro">Paro</option>
                    <option value="Pema Gatshel">Pema Gatshel</option>
                    <option value="Punakha">Punakha</option>
                    <option value="Samdrup Jongkhar">Samdrup Jongkhar</option>
                    <option value="Samtse">Samtse</option>
                    <option value="Sarpang">Sarpang</option>
                    <option value="Tashi Yangtse">Tashi Yangtse</option>
                    <option value="Thimphu">Thimphu</option>
                    <option value="Trashigang">Trashigang</option>
                    <option value="Trongsa">Trongsa</option>
                    <option value="Tsirang">Tsirang</option>
                    <option value="Wangdue Phodrang">Wangdue Phodrang</option>
                    <option value="Zhemgang">Zhemgang</option>
                  </select>
                </label>
            
      
              <label for="destination">
                <select id="destination" name="destination"  class="input1">
                  <option value="" disabled selected>Destination</option>
                  <option value="Bumthang">Bumthang</option>
                  <option value="Chhukha">Chhukha</option>
                  <option value="Dagana">Dagana</option>
                  <option value="Gasa">Gasa</option>
                  <option value="Haa">Haa</option>
                  <option value="Lhuentse">Lhuentse</option>
                  <option value="Monggar">Monggar</option>
                  <option value="Paro">Paro</option>
                  <option value="Pema Gatshel">Pema Gatshel</option>
                  <option value="Punakha">Punakha</option>
                  <option value="Samdrup Jongkhar">Samdrup Jongkhar</option>
                  <option value="Samtse">Samtse</option>
                  <option value="Sarpang">Sarpang</option>
                  <option value="Tashi Yangtse">Tashi Yangtse</option>
                  <option value="Thimphu">Thimphu</option>
                  <option value="Trashigang">Trashigang</option>
                  <option value="Trongsa">Trongsa</option>
                  <option value="Tsirang">Tsirang</option>
                  <option value="Wangdue Phodrang">Wangdue Phodrang</option>
                  <option value="Zhemgang">Zhemgang</option>
                </select>
              </label>
              </div>  
                  
         
                
          
            <label>
               <span>Description</span>
              <textarea id="description" class="input1" name="description" style="height: 150px;"></textarea>
             
        
            </label>

            <label>
              <span>Image</span>
              <input placeholder="" id="image" type="text" class="input" name="image" style="color: rgba(88, 87, 87, 0.822);" disabled>
          
          </label>
          <span id="date-error" class="error-message" style="color:red"></span>
          <span id="name-error" class="error-message"  style="color:red"></span>
          <span id="location-error" class="error-message"  style="color:red"></span>
          <span id="source-error" class="error-message"  style="color:red"></span>
          <span id="destination-error" class="error-message"  style="color:red"></span>
          
          <span id="description-error" class="error-message"  style="color:red"></span>
          <span id="image-error" class="error-message"  style="color:red"></span>
    
          <button class="submit">Submit</button>
            
        </form>
      </div>
    
          
          
              
              
      </div>

      <script>
        document.getElementById("logout-link").addEventListener("click", function(e) {
            e.preventDefault(); // Prevent the default link behavior
    
            // Display a confirmation dialog
            const confirmLogout = confirm("Are you sure you want to logout?");
            
            if (confirmLogout) {
                // Perform the logout action (for demonstration purposes)
                // You should replace this with your actual logout logic.
                // Simulating a delay to show the success message.
                window.location.href = "/";
               
            }
        });
    </script>
   
          

         



  <script>
    const form = document.querySelector('.form');
  
    const dateInput = form.querySelector('input[name="date"]');
    const nameInput = form.querySelector('input[name="name"]');
    const locationInput = form.querySelector('input[name="currentlocation"]');
    
    const sourceSelect = form.querySelector('select[name="source"]');
    const destinationSelect = form.querySelector('select[name="destination"]');
  
    const descriptionTextarea = form.querySelector('textarea[name="description"]');
    const imageInput = form.querySelector('input[name="image"]');


  
    const dateError = document.getElementById('date-error');
    const nameError = document.getElementById('name-error');
    const sourceError = document.getElementById('source-error');

    const locationError = document.getElementById('location-error');
    const destinationError = document.getElementById('destination-error');
  
    const descriptionError = document.getElementById('description-error');
    const imageError = document.getElementById('image-error');
  
    form.addEventListener('submit', function (event) {
      let hasError = false;
      dateError.textContent = '';
      dateError.style.display = 'none';
      nameError.textContent = '';
      nameError.style.display = 'none';
      if (dateInput.value.trim() === '') {
  dateError.textContent = 'Please select a date.';
  dateError.style.display = 'block';
  hasError = true;
} else {
  // Name (only if there was no date error)
  if (nameInput.value.trim() === '') {
    nameError.textContent = 'Please fill in the Name field.';
    nameError.style.display = 'block';
    hasError = true;
  } else if (!/^[A-Za-z ]*$/.test(nameInput.value.trim())) {
    nameError.textContent = 'Name can contain only alphabetical characters and spaces.';
    nameError.style.display = 'block';
    hasError = true;
  }
}


  



      if (!hasError && locationInput.value.trim() === '') {
        locationError.textContent = 'Please fill in the location.';
        locationError.style.display = 'block';
        hasError = true;
      } else {
        locationError.textContent = '';
        locationError.style.display = 'none';
      }
  
      if (!hasError && sourceSelect.value === '') {
        sourceError.textContent = 'Please select a source.';
        sourceError.style.display = 'block';
        hasError = true;
      } else {
        sourceError.textContent = '';
        sourceError.style.display = 'none';
      }
  
      if (!hasError && destinationSelect.value === '') {
        destinationError.textContent = 'Please select a destination.';
        destinationError.style.display = 'block';
        hasError = true;
      } else {
        destinationError.textContent = '';
        destinationError.style.display = 'none';
      }
  
 
  
      if (!hasError && descriptionTextarea.value.trim() === '') {
        descriptionError.textContent = 'Please provide a description.';
        descriptionError.style.display = 'block';
        hasError = true;
      } else {
        descriptionError.textContent = '';
        descriptionError.style.display = 'none';
      }
  
      if (!hasError && imageInput.value.trim() === '') {
        imageError.textContent = 'Please upload an image.';
        imageError.style.display = 'block';
        hasError = true;
      } else {
        imageError.textContent = '';
        imageError.style.display = 'none';
      }
  
      if (hasError) {
        event.preventDefault();
      }
    });
  
    dateInput.addEventListener('input', function () {
      dateError.textContent = '';
      dateError.style.display = 'none';
    }); 
    nameInput.addEventListener('input', function () {
      nameError.textContent = '';
      nameError.style.display = 'none';
    });
    locationInput.addEventListener('input', function () {
      locationError.textContent = '';
      locationError.style.display = 'none';
    });
  
    sourceSelect.addEventListener('change', function () {
      sourceError.textContent = '';
      sourceError.style.display = 'none';
    });
  
    destinationSelect.addEventListener('change', function () {
      destinationError.textContent = '';
      destinationError.style.display = 'none';
    });
  
  
  
    descriptionTextarea.addEventListener('input', function () {
      descriptionError.textContent = '';
      descriptionError.style.display = 'none';
    });
  
    imageInput.addEventListener('input', function () {
      imageError.textContent = '';
      imageError.style.display = 'none';
    });
  </script>

<script>
    document.getElementById('image').addEventListener('change', function () {
        const fileInput = document.getElementById('image');
        const fileName = fileInput.files[0] ? fileInput.files[0].name : 'No file selected';
        document.getElementById('imageFileName').textContent = fileName;
    });
</script>

<script>
    // Function to get the value of a query parameter by name
    function getQueryParam(name) {
        const urlParams = new URLSearchParams(window.location.search);
        return urlParams.get(name);
    }
    function formatDate(inputDate) {
        const date = new Date(inputDate);
        const year = date.getFullYear();
        const month = String(date.getMonth() + 1).padStart(2, '0');
        const day = String(date.getDate()).padStart(2, '0');
        return `${year}-${month}-${day}`;
    }


    // Get the query parameters
    const dataId = getQueryParam('id');
    const date = getQueryParam('date');
    const name = getQueryParam('name');
    const currentlocation = getQueryParam('currentlocation');
    const source = getQueryParam('source');
    const destination = getQueryParam('destination');
    const description =getQueryParam('description');
    const image = getQueryParam('image');

    // Populate the form fields with the data
    document.getElementById('date').value = date ? formatDate(date) : '';;
    document.getElementById('name').value = name || '';
    document.getElementById('currentlocation').value = currentlocation || '';
    document.getElementById('source').value = source || '';
    document.getElementById('destination').value = destination || '';
    document.getElementById('description').value = description || '';
    document.getElementById('image').value = image || '';

    function saveChanges() {
        console.log('Save Changes function started');

        // Get the updated data from the form
        const updatedData = {
            date: document.getElementById('date').value,
            name: document.getElementById('name').value,
            currentlocation: document.getElementById('currentlocation').value,
            source: document.getElementById('source').value,
            destination: document.getElementById('destination').value,
            description: document.getElementById('description').value,
            image: document.getElementById('image').value
        };
        console.log('Data to send:', updatedData);

        // Send the updated data to the server for saving in MongoDB using Axios
        axios.put(`/api/update-data/${dataId}`, updatedData)
            .then(response => {
                console.log('Data updated:', response.data);
                console.log('Save Changes clicked');
                // You can add your own logic for success handling or redirection here
            })
            .catch(error => {
                console.error('Error updating data:', error);
            });
    }

    // Add an event listener to the form to prevent submission
    document.getElementById('edit-form').addEventListener('submit', function(event) {
        event.preventDefault();
        window.location.href="/loading2.html"
        saveChanges();
    });
</script>
</body>
</html>
<style>
 
  .error-message {
    display: none;
    color: red;
  
  }


</style>